aboutsummaryrefslogtreecommitdiff
path: root/burn/xfburn/xfburn.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'burn/xfburn/xfburn.SlackBuild')
-rwxr-xr-xburn/xfburn/xfburn.SlackBuild98
1 files changed, 98 insertions, 0 deletions
diff --git a/burn/xfburn/xfburn.SlackBuild b/burn/xfburn/xfburn.SlackBuild
new file mode 100755
index 0000000..81fdf81
--- /dev/null
+++ b/burn/xfburn/xfburn.SlackBuild
@@ -0,0 +1,98 @@
+#!/bin/sh
+
+CWD=`pwd`
+NAME=xfburn
+VERSION=0.4.2
+ARCH=i586
+BUILD=1
+PKGNAME=$NAME
+PKGVER=$VERSION
+BASEDIR=$PKGNAME-$PKGVER
+ARCHIVE=$BASEDIR.tar.bz2
+REPOSITORY=http://goodies.xfce.org/releases/${NAME}
+FLAGS="-O2 -march=pentium -mtune=pentium -fno-strength-reduce \
+ -fomit-frame-pointer -ffast-math"
+PKG=/tmp/package-$NAME
+
+rm -rf $PKG
+mkdir -p $PKG
+
+# Obtain sources
+if [ ! -e $ARCHIVE ]; then
+ if `wget "$REPOSITORY/$ARCHIVE"`; then
+ true
+ else
+ exit 1
+ fi
+fi
+
+# Compile
+cd /tmp
+tar jxvf $CWD/$ARCHIVE
+cd $BASEDIR
+lzcat $CWD/$NAME-$VERSION-ui.patch.xz | patch -p1 -s
+lzcat $CWD/$NAME-$VERSION-icons.patch.xz | patch -p1 -s
+CFLAGS=$FLAGS CXXFLAGS=$FLAGS ./configure \
+ --build=${ARCH}-slackware-linux \
+ --enable-static=no \
+ --enable-shared=yes \
+ --enable-debug=no \
+ --prefix=/usr \
+ --mandir=/usr/man \
+ --sysconfdir=/etc \
+ --localstatedir=/var
+make
+
+# Install
+make install DESTDIR=$PKG
+mkdir -p $PKG/install $PKG/usr/doc/$NAME-$VERSION
+cat > $PKG/install/slack-desc <<EOF
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+xfburn: xfburn (optical media burner)
+xfburn:
+xfburn: Xfburn is a simple CD/DVD/BD burning tool based on the libburnia
+xfburn: libraries. It can blank CD/DVD-RWs, burn and create ISO images, audio
+xfburn: CDs, as well as burn personal compositions of data to either CD or
+xfburn: DVD.
+xfburn:
+xfburn: Homepage: http://goodies.xfce.org/projects/applications/xfburn
+xfburn:
+xfburn:
+xfburn:
+EOF
+
+cat > $PKG/install/slack-required <<EOF
+libxfcegui4 >= 4.6.1-i486-1
+thunar >= 1.0.1-i486-1
+glib_dbus >= 0.82-i486-1
+gstreamer >= 0.10.24-i586-1
+libburn >= 0.7.0-i486-1
+libisofs >= 0.6.22-i486-1
+libusb >= 0.1.12-i486-2
+EOF
+
+install -m 0644 -g 0 -o 0 AUTHORS NEWS \
+ $PKG/usr/doc/$NAME-$VERSION
+
+xz -9f \
+ $PKG/usr/doc/$NAME-$VERSION/NEWS
+
+chmod 0444 $PKG/usr/man/man?/*.?
+xz -9f $PKG/usr/man/man?/*.?
+
+strip \
+ $PKG/usr/bin/* || :
+
+chown -R root.root $PKG
+
+# Make package
+cd $PKG
+cat install/slack-desc | grep "$NAME:" > /tmp/$NAME-$VERSION-$ARCH-$BUILD.txt
+makepkg -l y -c n /tmp/$NAME-$VERSION-$ARCH-$BUILD.txz